/* 
 *    Programmed By: Mohammed Isam Mohammed [mohammed_isam1984@yahoo.com]
 *    Copyright 2014 (c)
 * 
 *    file: intro.c
 *    This file is part of GnuDOS.
 *
 *    GnuDOS is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    GnuDOS is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with GnuDOS.  If not, see <http://www.gnu.org/licenses/>.
 */    

#include "intro.h"
#include <stdlib.h>
#include <stdio.h>

void showIntro(char *config_file_name)
{
  printf("This is an introduction to the GnuDOS group of utilities, which is");
  printf(" a library\ndeveloped to help users coming from DOS land start");
  printf(" using the GNU system.\n\n");
  printf("There are five levels of experience:\n");
  printf("1- Novice: You will use DOS-like shortcut keys with few GNU keys\n");
  printf("2- Intermediate: DOSkeys with a few more GNU keys\n");
  printf("3- ِAdvanced: And more GNU keys\n");
  printf("4- ِExpert: All DOS and GNU keys together\n");
  printf("5- ِVeteran: Only GNU keys, no DOS-like keys\n\n");
  printf("You can see which keys are defined for each level from Help->README\n");
  printf("You start with level 1 by default.\n");
  printf("To set your level, call the program with '--levelX' or '-lX'\n");
  printf("Where X is the level desired.\n");
  printf("Press ENTER to continue..\n");
  int c = getchar();
}